

;--------------------------------------------
; [Version] Section - Default
;	ProductName - Use as DB in registry
;--------------------------------------------
[Version]
Signature = "$Windows NT$"
ProductName = "Kyocera Product Library"
Manufacturer = %KMC%
Version = 4.0.3403.2

[Setup]
CompanyName = "Kyocera"
WizardBitmap = .\Setup\WizardBitmap.bmp
LogoBitmap = .\Setup\KxLogoWhite.png
SplashBitmap = .\Setup\Splash.png
;ProductLogoBitmap = .\Setup\ProductLogo.png
;; To get the short MODEL name, KmInstaller will remove the below strings from device name
; and remove all the spaces from front and rear part of the string.
; Ex) "Kyocera Mita FS-1010 (J) KX" -> " FS-1010 (J) " -> "FS-1010 (J)"
OemStrings = Kyocera,Mita,KX,GX,(KPDL),(XPS),XPS,NW-FAX,WIA Driver,(Uni),(Network),(USB),FAX
MainTarget = "<ProgramFiles>\Kyocera"
MainLink = "<StartMenu>\Kyocera"

[LicenseAgreement]
LicenseFile = %LIC%

[Languages]
English = English
ChineseSimp = 简体中文
ChineseTrad = 繁體中文
French = Français
Korean = 한국어
Portuguese = Português (Brasil)
Russian = Pусский
Spanish = Español
Thai = ไทย
Vietnamese = Tiếng Việt
Arabic = اللغة العربية
Dutch = Nederlands
German = Deutsch
Italian = Italiano
Czech = Česky
Danish = Dansk
Finnish = Suomi
Greek = Ελληνικά
Hungarian = Magyar
Norwegian = Norsk
Polish = Polski
Portugal = Português (Portugal)
Catalan = Català
Swedish = Svenska
Turkish = Türkçe
Romanian = Română

[Options]
; Selection Page = EXPRESS, CUSTOM
InstallType = EXPRESS,CUSTOM
; Available Connections - USB, LPT, NET, TCPIP, IPP,PRNQ,MSQ,NWQ,EMAIL,KPRINT, KMPRINT
ConnectionTypes = USB,NET,TCPIP
;Discover devices - USB,SNMP
DiscoverDevices = USB,SNMP
;When discover USB devices, discover USBPRINTER instead of USB device
DiscoverUsbPrinter = 1
;DiscoverNetPortType = KMPRINT
; KACT AutoConfig
AutoConfig = 1,"InstallPath2"
UpgradePage = 1
UninstallWelcomeTitle = "Kyocera Uninstaller"
SnmpHostnameOID = ".1.3.6.1.4.1.1347.40.10.1.1.5.1",".1.3.6.1.4.1.1536.1.3.5.4.2.0"
SnmpModelOID = ".1.3.6.1.4.1.1347.43.5.1.1.1.1"
ProductTitle = "Installer"
LOT4Support = 1
LOT4File = %LOT4_FILE_PATH%

[Options.NT6]
; Selection Page = EXPRESS, CUSTOM
InstallType = EXPRESS,CUSTOM
; Available Connections - USB, LPT, NET, TCPIP, IPP,PRNQ,MSQ,NWQ,EMAIL,KPRINT, KMPRINT
ConnectionTypes = USB,NET,TCPIP
;Discover devices - USB,SNMP
DiscoverDevices = USB,SNMP
;When discover USB devices, discover USBPRINTER instead of USB device
DiscoverUsbPrinter = 1
;DiscoverNetPortType = KMPRINT
; KACT AutoConfig
AutoConfig = 0,"InstallPath2"
UpgradePage = 1
UninstallWelcomeTitle = "Kyocera Uninstaller"
SnmpHostnameOID = ".1.3.6.1.4.1.1347.40.10.1.1.5.1",".1.3.6.1.4.1.1536.1.3.5.4.2.0"
SnmpModelOID = ".1.3.6.1.4.1.1347.43.5.1.1.1.1"
LOT4Support = 1
LOT4File = %LOT4_FILE_PATH%

;KMPRINT = "KMPrint Port"
; ================================================================================================================
; Device Section
; ================================================================================================================
[DeviceNames]
;DeviceName = ModelKeyName,ModelSection(GroupKey),UsbVidPid,HWID,SnmpId
;ex) Kyocera Mita FS-1010 = FS-1010
;KX Domestic models
Kyocera TASKalfa 1800 = TASKalfa 1800,ALL,VID_0482&PID_0606,KyoceraTASKalfa_18001D23,TASKalfa 1800
Kyocera TASKalfa 1801 = TASKalfa 1801,ALL_FAX,VID_0482&PID_0608,KyoceraTASKalfa_1801DDE2,TASKalfa 1801
Kyocera TASKalfa 2200 = TASKalfa 2200,ALL,VID_0482&PID_0607,KyoceraTASKalfa_22005B01,TASKalfa 2200
Kyocera TASKalfa 2201 = TASKalfa 2201,ALL_FAX,VID_0482&PID_0609,KyoceraTASKalfa_22019BC0,TASKalfa 2201

[OID]
%OID_HOST_NAME% = ".1.3.6.1.4.1.1347.40.10.1.1.5.1",".1.3.6.1.4.1.1536.1.3.5.4.2.0"
%OID_MODEL_NAME% = ".1.3.6.1.4.1.1347.43.5.1.1.1.1"
;%OID_DESC% = ".1.3.6.1.2.1.1.1.0"
%OID_CONTACT% = ".1.3.6.1.2.1.1.4.0"
%OID_LOCATION% = ".1.3.6.1.2.1.1.6.0"
%OID_SERIAL_NUMBER% = ".1.3.6.1.4.1.1347.43.5.1.1.28.1"

[PACKAGEINFO]
Packages = GX,GXPS,KMNETVIEWER,D3SCLIENT,SNMPCO,KMINST32,TWAIN,MSUSBSCN

[EXPRESS]
DRV = %DRV_EXP_PKG_NAME%,GX,TWAIN,MSUSBSCN,D3SCLIENT,KMINST32

[Express.NT6]
DRV = %DRV_EXP_PKG_NAME%,GX,TWAIN,D3SCLIENT,KMINST32

[ALL]
Express = DRV,SCN_BUNDLE
Packages = GX,KMNETVIEWER,D3SCLIENT,SNMPCO,KMINST32,TWAIN,MSUSBSCN

[ALL.NT6]
Express = DRV,SCN_BUNDLE
Packages = GX,GXPS,KMNETVIEWER,D3SCLIENT,SNMPCO,KMINST32,TWAIN,MSUSBSCN

[ALL_FAX]
Express = DRV,SCN_BUNDLE,FAX_BUNDLE
Packages = GX,KMNETVIEWER,D3SCLIENT,SNMPCO,KMINST32,TWAIN,MSUSBSCN

[ALL_FAX.NT6]
Express = DRV,SCN_BUNDLE,FAX_BUNDLE
Packages = GX,GXPS,KMNETVIEWER,D3SCLIENT,SNMPCO,KMINST32,TWAIN,MSUSBSCN

[Tools]
TOOL_PC = "Utility\PostInst\PostSetup.exe -l <UiLanguage>","%POSTINST_NAME%", "%POSTINST_DESC%"

[Tools.nt5.x64]
TOOL_CLIENTTOOL = "Utility\Client Tool\KMSTMVM.exe /L:&qt;%D3SV_LANG%&qt;","KYOCERA Client Tool", "%D3SCLIENT_DESC%"
TOOL_PC = "Utility\PostInst\PostSetup.exe -l <UiLanguage>","%POSTINST_NAME%", "%POSTINST_DESC%"

[Tools.nt6]
TOOL_CLIENTTOOL = "Utility\Client Tool\KMSTMVM.exe /L:&qt;%D3SV_LANG%&qt;","KYOCERA Client Tool", "%D3SCLIENT_DESC%"
TOOL_PC = "Utility\PostInst\PostSetup.exe -l <UiLanguage>","%POSTINST_NAME%", "%POSTINST_DESC%"
TOOL_QUICKSETUP = "Setup\QSLauncher.exe /L:&qt;%D3SV_LANG%&qt;","Quick Network Setup", "%QUICKSETUP_DESC%"

; Strings
;================================================================================================================
[StringTable]
LoadString = KmInstall.str

